/*
 * Copyright 2005 Werner Guttmann, Ralf Joachim
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: TimeLimitedFactory.java,v 1.1 2005/12/01 21:45:13 rjoachim Exp $
 */
package org.castor.cache.simple;

import org.castor.cache.AbstractCacheFactory;

/**
  * Implements {@link CacheFactory} for the {@link TimeLimited} implementation
  * of {@link Cache}.
  *
 * @author <a href="mailto:werner DOT guttmann AT gmx DOT net">Werner Guttmann</a>
 * @author <a href="mailto:ralf DOT joachim AT syscon-world DOT de">Ralf Joachim</a>
 * @version $Id: TimeLimitedFactory.java,v 1.1 2005/12/01 21:45:13 rjoachim Exp $
 * @since 1.0
  */
public final class TimeLimitedFactory extends AbstractCacheFactory {
    /**
     * @see org.castor.cache.CacheFactory#getCacheType()
     */
    public String getCacheType() { return TimeLimited.TYPE; }
    
    /**
     * @see org.castor.cache.CacheFactory#getCacheClassName()
     */
    public String getCacheClassName() { return TimeLimited.class.getName(); }
}
